<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html xmlns="http://www.w3.org/TR/REC-html40"> 
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>fwAccessControl_ConfirmChangeUser.pnl 
panel</title>
<link rel="StyleSheet" HREF="style.css" TYPE="text/css" MEDIA="screen,print">
</head>
<body>
<table width="95%" border="1"><tbody>
<tr vAlign="top">
<td width="22%" bgColor="#00cc00"><strong>Panel Name</strong></td>
<td width="78%" colSpan="2">fwAccessControl/fwAccessControl_ConfirmChangeUser.pnl</td>
</tr>
<tr vAlign="top">
<td bgColor="#00cc00"><strong>Introduction<br></strong></td>
<td colSpan="2">
<p>Confirm Change of User</p>
<p>
    <p>
    This panel asks for confirmation of the changes in user settings performed in the
    <a href="fwAccessControl_EditUser.htm">Edit User</a>  panel. It is presented
    in Figure 1:
    <div xmlns:html="http://www.w3.org/1999/xhtml" class="figure"><table align="center">
<tr><td><img src="fwAccessControl_ConfirmChangeUser.png"></td></tr>
<tr><td><span class="caption">Figure 1: Confrim Change User panel</span></td></tr>
</table></div>
    </p>
    </p>
<br>
</td>
</tr>
<tr vAlign="top">
<td bgColor="#00cc00"><strong>Instructions</strong></td>
<td colSpan="2"><dl>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To proceed with changes:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml"> Press the <span class="button">OK</span> button </dd>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To cancel the changes:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml"> Press the <span class="button">Cancel</span> button </dd>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To review the changes:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml"> Press the <span class="button">Review Changes</span> button;
    this will bring up the <a href="fwAccessControl_ReviewChanges.htm">Review Changes</a> 
    panel showing the list of changes performed. Once the <em>Review Changes</em> panel is
    closed you will go back to this panel.
    </dd>
</dl></td>
</tr>
<tr vAlign="top">
<td bgColor="#00cc00"><strong>Restrictions</strong></td>
<td colSpan="2"><ul></ul></td>
</tr>
</tbody></table>
<br><table width="95%" border="1"><tbody>
<tr bgColor="#00cc00"><td colSpan="3"><strong>Dollar Parameters</strong></td></tr>
<tr bgColor="#00cc00">
<td width="23%"><strong>Name</strong></td>
<td width="62%"><strong>Description</strong></td>
<td width="15%">&nbsp;</td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td>$userName</td>
<td> The name of the user </td>
<td>required</td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td>$changes</td>
<td> Text describing general changes, which will be passed
	to the <a href="fwAccessControl_ReviewChanges.htm">Review Changes</a>  
	panel (see the description of the <code>$changes</code> parameter for that panel) 
    </td>
<td>required</td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td>$addedItems</td>
<td> The list of groups to which the user was added, which will be passed
	to the <a href="fwAccessControl_ReviewChanges.htm">Review Changes</a>  
	panel (see the description of the <code>$addedItems</code> parameter for that panel) 
    </td>
<td>required</td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td>$removedItems</td>
<td> The list of groups from which the user was removed, which will be passed
	to the <a href="fwAccessControl_ReviewChanges.htm">Review Changes</a>  
	panel (see the description of the <code>$removedItems</code> parameter for that panel) 
    </td>
<td>required</td>
</tr>
</tbody></table>
<br>
<table width="95%" border="1"><tbody>
<tr bgColor="#00cc00"><td colSpan="3"><strong>Return Values from panel</strong></td></tr>
<tr><td colspan="3"> The panel should be opened using functions from the
            <code>ChildPanel...Returns(... , df,ds)</code> family. <br>
            When the panel is closed the following
    	    values may be returned in the <code>df</code> and <code>ds</code> parameters:
        </td></tr>
<tr bgColor="#00cc00">
<td width="60"><strong>Variable</strong></td>
<td width="10%"><strong>Value(s)</strong></td>
<td><strong>Description</strong></td>
</tr>
<tr bgColor="#ccffcc"><td colspan="3" align="center">
<code>dyn_float</code>  parameter (<code>df[]</code>)</td></tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td><code>df[1]</code></td>
<td><code>1</code></td>
<td> Changes were accepted - <span class="button">OK</span> button pressed</td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td><code>df[1]</code></td>
<td><code>0</code></td>
<td> Changes were cancelled - <span class="button">Cancel</span> button pressed</td>
</tr>
<tr bgColor="#ccffcc"><td colspan="3" align="center">
<code>dyn_string</code> parameter (<code>ds[]</code>)</td></tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td><code>ds[]</code></td>
<td><code></code></td>
<td> not used: empty variable is always returned.</td>
</tr>
</tbody></table>
<br><a href="../../fwAccessControl.htm">
Back to the documentation of the
	    fwAccessControl
component.
	    </a> <br xmlns:html="http://www.w3.org/1999/xhtml"><hr xmlns:html="http://www.w3.org/1999/xhtml">
<font xmlns:html="http://www.w3.org/1999/xhtml" size="-1"> Piotr Golonka, <a href="http://cern.ch/itcobe">CERN IT/CO-BE</a></font>
</body></html>
